# Class: WMSCapabilities

## WMSCapabilities

Format for reading WMS capabilities data

#### new ol.format.WMSCapabilities() experimental

src/ol/format/wmscapabilitiesformat.js, line 23

### Extends

- ol.format.XML

### Methods

#### read(source){Object} experimental

src/ol/format/wmscapabilitiesformat.js, line 43

  Read a WMS capabilities document.

  Name | Type | Description
  --- | --- | ---
  `source` | Document | Node | string | The XML source.

  ##### Returns:

  An object representing the WMS capabilities.